CVE-2017-11590

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2017-11590
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2017-11590.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2017-11590
Related
Published
2017-07-24T01:29:00Z
Modified
2024-06-30T12:51:19.862452Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

There is a NULL pointer dereference in the caseless_hash function in gxps-archive.c in libgxps 0.2.5. A crafted input will lead to a remote denial of service attack.

References

Affected packages

Debian:11 / libgxps

Package

Name
libgxps
Purl
pkg:deb/debian/libgxps?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.3.0-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:12 / libgxps

Package

Name
libgxps
Purl
pkg:deb/debian/libgxps?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.3.0-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:13 / libgxps

Package

Name
libgxps
Purl
pkg:deb/debian/libgxps?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.3.0-1

Ecosystem specific

{
    "urgency": "low"
}

Git / github.com/gnome/libgxps

Affected ranges

Type
GIT
Repo
https://github.com/gnome/libgxps
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

0.*

0.1.0
0.2.0
0.2.1
0.2.2
0.2.3
0.2.3.1
0.2.3.2
0.2.4
0.2.5